Subject: pkg/21688: Solaris: sysutils/xosview does not really need egcs
To: None <>
From: None <>
List: netbsd-bugs
Date: 05/26/2003 13:54:03
>Number:         21688
>Category:       pkg
>Synopsis:       Solaris: sysutils/xosview does not really need egcs
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Mon May 26 13:55:01 UTC 2003
>Originator:     Ingolf Steinbach
>Release:        pkgsrc as of 2003-05-22
Jena-Optronik GmbH
SunOS polaris 5.6 Generic_105181-11 sun4u sparc
On SunOS, sysutils/xosview is currently compiled using egcs-1.1.2
(probably to work around problems with buggy X11 header files).
The dependency on egcs can be dropped if some additional flags
are used for the compiler (-fpermissive -Wno-deprecated).

-fpermissive turns errors resulting from the X11 header files into
-Wno-deprecated turns off warnings resulting from using deprecated
    functions when compiling this package with gcc 3.2.3.

(Note that there will be many warnings during compilation!)
Apply the following patch to sysutils/xosview/Makefile:
Index: Makefile
RCS file: /cvsroot/pkgsrc/sysutils/xosview/Makefile,v
retrieving revision 1.42
diff -u -r1.42 Makefile
--- Makefile    2002/12/11 21:38:20     1.42
+++ Makefile    2003/05/26 13:49:03
@@ -30,10 +30,7 @@
 .  endif
 .elif ${OPSYS} == "SunOS"
-BUILD_DEPENDS+=        egcs-1.1.2:../../lang/egcs
-CXX=           ${LOCALBASE}/egcs/bin/g++
-CPPFLAGS+=     -I${X11BASE}/include
-LIBS+=         -lsocket -lnsl
+CFLAGS+=       -fpermissive -Wno-deprecated
 .include "../../graphics/xpm/"